summaryrefslogtreecommitdiff
path: root/utils
diff options
context:
space:
mode:
authorMarkus Heiser <markus.heiser@darmarIT.de>2021-11-23 00:23:23 +0100
committerGitHub <noreply@github.com>2021-11-23 00:23:23 +0100
commitef3f084c498f62d608618c453d74c03aa1019094 (patch)
treeb0fe140f82d1df9a00ce88eb382aac67fd7400f0 /utils
parentdeca799e9feebc411339f11d9050f4250c40db13 (diff)
parent93e933278af4ce929a0bbcb35e1fdacdd6b899c1 (diff)
Merge pull request #516 from return42/searxng/filtron
[mod] filtron.sh - install github.com/searxng/filtron
Diffstat (limited to 'utils')
-rwxr-xr-xutils/filtron.sh7
-rwxr-xr-xutils/morty.sh3
2 files changed, 6 insertions, 4 deletions
diff --git a/utils/filtron.sh b/utils/filtron.sh
index ff380a327..2536214e4 100755
--- a/utils/filtron.sh
+++ b/utils/filtron.sh
@@ -337,7 +337,8 @@ EOF
echo "export SERVICE_HOME=$SERVICE_HOME"
tee_stderr <<EOF | sudo -i -u "$SERVICE_USER"
-grep -qFs -- 'source $GO_ENV' ~/.profile || echo 'source $GO_ENV' >> ~/.profile
+touch "$GO_ENV"
+grep -qFs -- 'source "$GO_ENV"' ~/.profile || echo 'source "$GO_ENV"' >> ~/.profile
EOF
}
@@ -348,13 +349,13 @@ filtron_is_installed() {
install_filtron() {
rst_title "Install filtron in user's ~/go-apps" section
echo
- go.install github.com/asciimoo/filtron@latest "${SERVICE_USER}"
+ go.install github.com/searxng/filtron@latest "${SERVICE_USER}"
}
update_filtron() {
rst_title "Update filtron" section
echo
- go.install github.com/asciimoo/filtron@latest "${SERVICE_USER}"
+ go.install github.com/searxng/filtron@latest "${SERVICE_USER}"
}
install_rules() {
diff --git a/utils/morty.sh b/utils/morty.sh
index c1f2bc968..25263a3d4 100755
--- a/utils/morty.sh
+++ b/utils/morty.sh
@@ -337,7 +337,8 @@ EOF
echo "export SERVICE_HOME=$SERVICE_HOME"
tee_stderr <<EOF | sudo -i -u "$SERVICE_USER"
-grep -qFs -- 'source $GO_ENV' ~/.profile || echo 'source $GO_ENV' >> ~/.profile
+touch $GO_ENV
+grep -qFs -- 'source "$GO_ENV"' ~/.profile || echo 'source "$GO_ENV"' >> ~/.profile
EOF
}